/***************************************************************************
                          parser.h  -  description
                             -------------------
    begin                : Thu Jan 25 2001
    copyright            : (C) 2001 by Henning Burchardt
    email                : h_burchardt@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __parser_h
#define __parser_h


#include <qmap.h>

class QString;
class QTextStream;

class AdSimpleParser
{
public:
    AdSimpleParser( QTextStream *stream );

    QString getValue( const QString& group, const QString &key );
    void parse();
private:
    QTextStream *_text;
    QMap< QString,QMap<QString,QString> > _groupMap;
};

#endif
